import * as types from '../store/mutations-types.js'
import util from '../util/util.js'

export default {
	data() {
		return {}
	},
	filters: {
		toFixed(value) {
			return util.toFixed(value);
		},
		formatDate(value) {
			return value && util.formatDate(value);
		}
	},
	methods: {
		showAlert(msg) {
			this.$store.dispatch(types.SHOW_ALERT, {
				msg: msg
			})
		},
		showToast(msg) {
			this.$store.dispatch(types.SHOW_TOAST, {
				msg: msg
			})
		},
		showToastAndApply(msg, fn, params) {
			this.$store.dispatch(types.SHOW_TOAST, {
				msg: msg
			})
			setTimeout(() => {
				if (typeof fn == 'function') {
					fn.apply(fn, params)
				}
			}, 1000)
		}
	},
}
